Add additional information to a user
curl --request POST \
--url https://app.sandbox.rio.trade/api/users/{id}/additional-information \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identifiersArray": [
"RC511233",
"SJ556997"
],
"identifiersObject": {
"RC": "S11233",
"SJ": "556997"
},
"identifiersString": "511233, 556997",
"identifiersObjectArray": [
{
"RC": "S11233",
"SJ": "556997"
},
{
"RC": "S11233",
"SJ": "556997"
}
]
}
'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/additional-information"
payload = {
"identifiersArray": ["RC511233", "SJ556997"],
"identifiersObject": {
"RC": "S11233",
"SJ": "556997"
},
"identifiersString": "511233, 556997",
"identifiersObjectArray": [
{
"RC": "S11233",
"SJ": "556997"
},
{
"RC": "S11233",
"SJ": "556997"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifiersArray: ['RC511233', 'SJ556997'],
identifiersObject: {RC: 'S11233', SJ: '556997'},
identifiersString: '511233, 556997',
identifiersObjectArray: [{RC: 'S11233', SJ: '556997'}, {RC: 'S11233', SJ: '556997'}]
})
};
fetch('https://app.sandbox.rio.trade/api/users/{id}/additional-information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"OK"{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}Users API
Add additional information to a user
POST
/
api
/
users
/
{id}
/
additional-information
Add additional information to a user
Authorizations
Path Parameters
ID of the user.
Example:
"66562bc04fe8bf83c577c178"
Body
application/json
Additional information about the user. Can contain any key-value pairs. Please reach out to our compliance team for more information.
Response
Additional information added successfully
The response is of type string.
Example:
"OK"
⌘I